Quickstart
As described in Core API Concepts Core API endpoints can be executed with any HTML or REST client.
How to start?
-
Retrieve an API (JWT) token → cp. Authentication
-
Go to the Core API Endpoint Overview and select the endpoint you want to execute. For example
/dam/dirs/retrieve→ you will be redirected to the OMN Core API Reference page which shows details of the selected endpoint -
Go to "Samples > curl" section → there you will find a cURL request you can copy (by clicking copy symbol in the upper right of the text field).
-
Replace the placeholders in the request (<OMN_SERVER>, <TOKEN>) by real values
-
Execute the request with cURL in a CLI (CMD, Terminal)
Example:
curl --location --request POST 'https://<OMN_SERVER>/api/core/v1/dam/dirs/retrieve' \
--header 'Authorization: Bearer <TOKEN>' \
--header 'Content-Type: application/json' \
--data-raw '{
"rncTid": "MAM",
"level": 1
}'